### Name: SegmentPlotWrite
### Title: Segment aCGH data, plot, and write out results
### Aliases: SegmentPlotWrite
### Keywords: hplot IO

### ** Examples

## Not run: 
##D ## This will not work unless you have a working Python installation
##D 
##D setwd("/tmp/o3") ## all slaves need a common dir to read and write.
##D mpiInit()
##D 
##D data(cghE1)
##D tmpchr <- sub("chr", "", cghE1$Chromosome)
##D chrom.numeric <- as.numeric(as.character(tmpchr))
##D chrom.numeric[tmpchr == "X"] <- 23
##D chrom.numeric[tmpchr == "Y"] <- 24
##D rm(tmpchr)
##D reorder <- order(chrom.numeric,
##D                  cghE1$UG.Start,
##D                  cghE1$UG.End,
##D                  cghE1$Name)
##D cghE1 <- cghE1[reorder, ]
##D chrom.numeric <- chrom.numeric[reorder]
##D 
##D 
##D ## one example
##D SegmentPlotWrite(cghE1[, 5:7], chrom.numeric,
##D                  merge = FALSE, Pos = cghE1$UG.Start,
##D                  idtype = "ug", organism = "Hs",
##D                  method = "Wavelets",
##D                  geneNames = cghE1[, 1],
##D                  commondata = cghE1[, 1:4])
##D 
##D 
##D ## all other methods except PSW and ACE
##D for(mm in c("DNAcopy", "GLAD", "HMM", "BioHMM", "CGHseg")) {
##D 
##D     cat("\n\n mm is ", mm, "\n\n")
##D     SegmentPlotWrite(cghE1[, 5:7], chrom.numeric,
##D                      merge = TRUE, Pos = cghE1$UG.Start,
##D                      idtype = "ug", organism = "Hs",
##D                      method = mm,
##D                      geneNames = cghE1[, 1],
##D                      commondata = cghE1[, 1:4])
##D }
##D 
## End(Not run)




