### Name: segmentPlot
### Title: Segment plots for aCGH
### Aliases: segmentPlot
### Keywords: hplot IO

### ** Examples


## Not run: 
##D 
##D ## This will not work unless you have a working Python installation
##D 
##D setwd("/tmp/o3") ## all slaves need a common dir to read and write.
##D mpiInit()
##D 
##D data(cghE1)
##D tmpchr <- sub("chr", "", cghE1$Chromosome)
##D chrom.numeric <- as.numeric(as.character(tmpchr))
##D chrom.numeric[tmpchr == "X"] <- 23
##D chrom.numeric[tmpchr == "Y"] <- 24
##D rm(tmpchr)
##D ### we need the data ordered
##D reorder <- order(chrom.numeric,
##D                  cghE1$UG.Start,
##D                  cghE1$UG.End,
##D                  cghE1$Name)
##D cghE1 <- cghE1[reorder, ]
##D chrom.numeric <- chrom.numeric[reorder]
##D 
##D ## run all methods
##D hmm.out <- pSegmentHMM(cghE1[, 5:7], chrom.numeric)
##D glad.out <- pSegmentGLAD(cghE1[, 5:7], chrom.numeric)
##D cghseg.out <- pSegmentCGHseg(cghE1[, 5:7], chrom.numeric)
##D ace.out <- pSegmentACE(cghE1[, 5:7], chrom.numeric)
##D wave.out <- pSegmentWavelets(cghE1[, 5:7], chrom.numeric)
##D wave.nm.out <- pSegmentWavelets(cghE1[, 5:7], chrom.numeric, merge = FALSE)
##D cbs.out <- pSegmentDNAcopy(cghE1[, 5:7], chrom.numeric)
##D cbs.nm.out <- pSegmentDNAcopy(cghE1[, 5:7], chrom.numeric, merge = FALSE)
##D cbs.nm.ns.out <- pSegmentDNAcopy(cghE1[, 5:7], chrom.numeric, merge = FALSE,
##D                                  smooth = FALSE)
##D psw.pos.out <- pSegmentPSW(cghE1[, 5:7], chrom.numeric, sign = 1)
##D psw.neg.out <- pSegmentPSW(cghE1[, 5:7], chrom.numeric, sign = -1)
##D 
##D ## BioHMM is the only one that uses distances
##D ## it is the slowest, so do only two
##D biohmm.out <- pSegmentBioHMM(cghE1[, 5:6], chrom.numeric, cghE1$UG.Start)
##D 
##D ### plot all
##D segmentPlot(hmm.out, 
##D             geneNames = cghE1[, 1],
##D             chrom.numeric = chrom.numeric,
##D             cghdata = cghE1[, 5:7],
##D             idtype = "ug",
##D             organism = "Hs")
##D 
##D segmentPlot(glad.out,
##D             geneNames = cghE1[, 1],
##D             chrom.numeric = chrom.numeric,
##D             cghdata = cghE1[, 5:7],
##D             idtype = "ug",
##D             organism = "Hs")
##D 
##D segmentPlot(cghseg.out,
##D             geneNames = cghE1[, 1],
##D             chrom.numeric = chrom.numeric,
##D             cghdata = cghE1[, 5:7],
##D             idtype = "ug",
##D             organism = "Hs")
##D 
##D segmentPlot(wave.out, 
##D             geneNames = cghE1[, 1],
##D             chrom.numeric = chrom.numeric,
##D             cghdata = cghE1[, 5:7],
##D             idtype = "ug",
##D             organism = "Hs")
##D 
##D segmentPlot(wave.nm.out,
##D             geneNames = cghE1[, 1],
##D             chrom.numeric = chrom.numeric,
##D             cghdata = cghE1[, 5:7],
##D             idtype = "ug",
##D             organism = "Hs")
##D 
##D segmentPlot(cbs.out, 
##D             geneNames = cghE1[, 1],
##D             chrom.numeric = chrom.numeric,
##D             cghdata = cghE1[, 5:7],
##D             idtype = "ug",
##D             organism = "Hs")
##D 
##D segmentPlot(psw.pos.out,
##D             geneNames = cghE1[, 1],
##D             chrom.numeric = chrom.numeric,
##D             cghdata = cghE1[, 5:7],
##D             idtype = "ug",
##D             organism = "Hs")
##D 
##D segmentPlot(psw.neg.out,
##D             geneNames = cghE1[, 1],
##D             chrom.numeric = chrom.numeric,
##D             cghdata = cghE1[, 5:7],
##D             idtype = "ug",
##D             organism = "Hs")
##D 
##D segmentPlot(biohmm.out, 
##D             geneNames = cghE1[, 1],
##D             chrom.numeric = chrom.numeric,
##D             cghdata = cghE1[, 5:6],
##D             idtype = "ug",
##D             organism = "Hs")
##D 
##D ## need to choose fdr
##D ace.out.sum <- summary(ace.out)
##D segmentPlot(ace.out.sum, 
##D             geneNames = cghE1[, 1],
##D             chrom.numeric = chrom.numeric,
##D             cghdata = cghE1[, 5:7],
##D             idtype = "ug",
##D             organism = "Hs")
##D 
## End(Not run)



